Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 2826 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Hromadná zmena kótovacieho štýlu

 Odpovědět Odpovědět archiv
Autor
mikeborecek Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 251
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Hromadná zmena kótovacieho štýlu
    Zasláno: 08.srp.2018 v 09:17
mám výkres v ktorom mám viacej kótovacích štýlov. Viem nejako hromadne zmeniť všetky kótovacie štýly na jeden?
Zpět nahoru
splonk Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 25.lis.2006
Lokalita: ČR (Pha)
Používám:
AutoCAD/ACA'10/14/16, RVT'17
Stav: Offline
Bodů: 854
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace splonk Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.srp.2018 v 09:20
Pokud se jedna o jeden vykres tak:
1. vybrat vsechny koty bud "Select similar" na pravem tlacitku nebo pres Quick select
2. z roletky pak vybrat pozadovany styl koty
JASponza

ACA 2010/14/16, AutoCAD 2010/14/16

(WinXP x86), Win7, 8.1, 10 x64,
Zpět nahoru
mikeborecek Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 251
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.srp.2018 v 09:41
skúsil som to cez "Select similar" ale keď chcem vymazať nepoužívané kotovacie štýly, tak sa stále niekde používajú...

Nedajú sa označiť objekty cez kótovací štýl?
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
AutoCAD Civil 3D 2016
Stav: Offline
Bodů: 1288
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.srp.2018 v 09:49
Select similar v tomto případě nedává moc smysl, nevybere všechny typy kót, ani to nefiltruje dle kontrétního stylu.

Jinak vybrat všechny typy kót na základě jejich kótovacího stylu asi můžete příkazem FILTER.

Jinak co jsem tak namátkou koukal na netu na lisp, tak zatím žádný z nich neni dost důkladný aby nahradil i kóty uvnitř bloků, ale předpokládám, že by se dalo pohledat.

(vl-load-com)

(defun c:MergeDims ( / d1 d2 ss ) 
  ;; Example by Lee Mac 2010 - www.lee-mac.com

  (if
    (and
      (vl-every
        (function
          (lambda ( sym str )
            (while
              (not
                (or
                  (eq ""
                    (set sym
                      (getstring t str)
                    )
                  )
                  (tblsearch "DIMSTYLE" (eval sym))
                )
              )
              (princ "\n** DimStyle not Found **")
            )
            (not (eq "" (eval sym)))
          )
        )
        (list 'd1 'd2)
        (list "\nSpecify DimStyle to Merge <Exit> : " "\nSpecify DimStyle to Use <Exit> : ")
      )
      (ssget "_X" (list (cons 0 "*DIMENSION") (cons 3 d1)))
    )
    (progn
      (vlax-for dim
        (setq ss
          (vla-get-ActiveSelectionSet
            (vla-get-ActiveDocument (vlax-get-acad-object))
          )
        )
        (vla-put-StyleName dim d2)
      )
      (vla-delete ss)
    )
  )
  (princ)
)


Upravil johny - 08.srp.2018 v 10:24
Zpět nahoru
mikeborecek Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 251
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.srp.2018 v 10:30
Funguje perfektne
Zpět nahoru
mikeborecek Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 251
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.srp.2018 v 14:26
existuje niečo také aj pre :
Text
Leader
Table
?
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
AutoCAD Civil 3D 2016
Stav: Offline
Bodů: 1288
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.srp.2018 v 15:00
A googlil jste?
autocad lisp merge text style

Toto se jeví rozumně pro text


Zpět nahoru
mikeborecek Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 251
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.srp.2018 v 15:35
trochu som googlil, narazil som na to isté, len som si myslel, či tu na fóre nie je niečo overené
Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
AutoCAD Civil 3D 2016
Stav: Offline
Bodů: 1288
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 09.srp.2018 v 15:52
Není to tak častý požadavek... 

Tady máme narychlo upravenou verzi pro MLEADER. Tabulky... jestli je opravdu potřebujete, tak snad někdo jiný. Mějte se.


(vl-load-com)

(defun c:MleaderStyleMerge ( / *error* acDoc l new e ss)
  (setq acDoc (vla-get-activeDocument (vlax-get-acad-object)))
  (vla-StartUndoMark acDoc)
  
  (defun *error* (msg)
    (princ msg)
    (vla-EndUndoMark acDoc))
  
  (if (ssget "_X" '((0 . "MULTILEADER")))
    (progn
      (princ "\n\n\n****Mleader Styles****\n\n")
      (setq l (mapcar (function (lambda (s)
                                  (princ (strcat "   " (cdr s) "\n"))
                                  (cdr s)))
                      (vl-remove-if
                        '(lambda (x) (/= (car x) 3))
                        (dictsearch (namedobjdict) "ACAD_MLEADERSTYLE"))))
      (textscr)
      (if (and (member (setq old (getstring T "\nEnter ole style name: ")) l)
               (member (setq new (getstring T "\nEnter new style name: ")) l)
               )
        (progn
          (vlax-for e (setq ss (vla-get-ActiveSelectionSet acDoc))
            (if (= old (vla-get-StyleName e))
              (vla-put-StyleName e new)))
          (vla-delete ss))
        (princ "\nStyle name not found."))
      (graphscr)))
  (princ)
  )
Zpět nahoru
Stenlo Zobrazit panel
Nováček
Nováček

Přihlášen: 20.lis.2012
Lokalita: Slovensko
Používám:
Revit 2012
Stav: Offline
Bodů: 1
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Stenlo Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 28.srp.2018 v 17:48
Zdravim Vas
neviem si poradit s tymto problemom.
Text novych kot, multiodkazov aj textov mi stale zrkadli, aj ked mam mirrtext na hodnote 0.
Vo vykrese mam aj starsie koty, ktore su vporiadku ale ked chcem napajat retazovou kotou na povodne koty, tak mi vyhodi ze: "Kota nie je zarovnana s USS"

Nevie niekto ako toto vyriesit?
Diky moc!



Připojené náhledyPřihlaste se pro zobrazení plné verze - 45455/Bez_názvu.png



Upravil Stenlo - 28.srp.2018 v 17:53
Zpět nahoru
mikeborecek1 Zobrazit panel
Diskutér
Diskutér
Avatar

Přihlášen: 13.čvc.2012
Lokalita: Slovensko
Používám:
AutoCAD 2013
Stav: Offline
Bodů: 21
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 01.zář.2018 v 21:33
Pozrite sa ako máte nastavené ucs (dole vľavo) -  osy xy - x by mala ísť z ľava do prava a y z dola nahor. Vy sa na tú kótu text pozeráte vlastne zospodu, preto to vodíte zrkadlovo. Aj hore v pravo na kocke máte napísané "zdola"

Upravil mikeborecek1 - 01.zář.2018 v 21:38
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 9761:Jak upravit vlastnosti součástí sestavy z rozpisky?
Tip 4578:Snadné převrácení šipky kóty.
Tip 2124:VIPJak změnit měřítko výkresu pouze v jedné ose (jen X, jen Y, jen Z)?
Tip 8787:Hromadné sjednocení vzhledů stránek (page setup) v DWG souborech.
Tip 5787:VIPRychlé dávkové vykreslení DWG výkresů (přehledy, modelové prostory)
Tip 10689:VIPiLogic: Hromadné nastavení iVlastností pro všechny součásti sestavy


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,562 sekund.